Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class XSLElementContentAssistRequest

    public class XSLElementContentAssistRequest
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXMLElementContentAssistRequest

This class provides content assistance proposals outside of the XSL namespace. Normal XML editor content assistance only provides proposals for items within the same namespace or if an element has children elements. This class extends this functionality by checking for the first XSL ancestor and uses that to determine what proposals should be provided in the way of xsl elements.

## Constructor Summary

`XSLElementContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`protected void` | `computeTagNameProposals()` Calculates the proposals for the XML Tag Name Region.
`protected void` | `computeTagOpenProposals()` Calculate proposals for open content regions.
`public java.util.ArrayList` | `getCompletionProposals()` Provides a list of possible proposals for the XSL Elements within the current scope.

## Constructor Detail

## XSLElementContentAssistRequest

`public XSLElementContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Methods Detail

## computeTagNameProposals

`protected void computeTagNameProposals()`

Calculates the proposals for the XML Tag Name Region.

## computeTagOpenProposals

`protected void computeTagOpenProposals()`

Calculate proposals for open content regions.

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

Provides a list of possible proposals for the XSL Elements within the current scope.

### Returns

`java.util.ArrayList`